天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 49|回复: 0

强制在 grread 期间显示 Arial 字体

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
(defun c:ch (/ ActDoc e el kword lyr clr layer linetype obj sObjectType sLineType sColor sBlockname

sStyleName *error*)
(vl-load-com)
(defun *error* ( msg )
        (princ (strcat "\n<" msg ">\n"))
        (progn
        (and TextENAME (entdel TextENAME))
        (vl-cmdf "ucs" "p")
(vla-EndUndoMark ActDoc)
        );progn
        (princ)
   )
(setq ActDoc (vla-get-ActiveDocument (vlax-get-Acad-Object)))

(vla-EndUndoMark ActDoc)
(vla-StartUndoMark ActDoc)
(while (null e) (princ "\nSelect Object on Layer to change: ")
                    (setq e (test2))
);while
(setq el (entget e))
(setq lyr (cdr (assoc 8 el)))
(progn
(setq layer (entget
                          (tblobjname "layer" lyr)
                    )
)

(if (assoc 420 layer)(setq layer (vl-remove (assoc 420 layer) layer)));;new line attached to prevent

true color override
(initget "Color lineType lineWeight")

(setq kword (if
(setq kword (getkword (strcat "Modify " lyr " [ Color / lineType / lineWeight ]:

<Color>")))
  kword "Color")
);setq

(cond
        ((= kword "Color")
                (setq clr (acad_colordlg 0))
                (entmod (subst (cons 62 clr) (assoc 62 layer) layer))
        );cond 1

        ((= kword "lineType")
                (setq LineTYPE (GetLineType))
                (if (/= (getvar "celtype") LineTYPE)
                (entmod (subst (cons 6 linetype) (assoc 6 layer) layer))
                )
        );cond 2

        ((= kword "lineWeight")
                (setq Lineweight (GetLineweight))
                (entmod (subst (cons 370 lineweight) (assoc 370 layer) layer))
                (vl-cmdf "undo" "")
                (vl-cmdf "redo" "")
        );cond 3

);condition
);progn
(vl-cmdf "ucs" "p")
(vla-Regen ActDoc acActiveViewport)
(vla-EndUndoMark ActDoc)
(princ)
);defun

;;;;;function test2 Originally by Vovka @ theswamp.org;added viewtwist/ucs world command, xlist code,

and modified viewsize for compatability while in locked $VP
(defun test2 (/ ENAME TextENAME ViewSize sLayer sObjectType sBlockname sStyel Name layer)
(vl-cmdf "ucs" "w")                                                                                       
  (while (and (setq Input (grread T 4 2)) (= (car Input) 5))
    (if        TextENAME
      (progn (entdel TextENAME) (setq TextENAME nil))
    )
    (if        (and (setq ENAME (car (nentselp (cadr Input))))
             (not (eq TextENAME ENAME))
        )
      (progn (if (or (= (getvar "ctab") "Model")(= (getvar "CVPORT") 1))
                     (setq viewsize (getvar "VIEWSIZE"))
                (setq viewsize (* (/ (getvar "viewsize")(car (getvar "screensize"))) 500))
        );if
                (setq el (entget ename))
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;THIS SECTION IS FROM

XLIST;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(if ename
(progn
        (setq el (entget ename)
          sLayer (cdr (assoc 8 el))
          sObjectType (cdr (assoc 0 el))
            sLineType (cdr (assoc 6 el))                        ; This is optional, we check for it

later.
               sColor (cdr (assoc 62 el))
                sBlockname ""
                sStyleName ""
                layer (entget
                          (tblobjname "layer" SLayer)
                    )
    );setq

;Check for no linetype override, in which case it is bylayer.
            (if (= sLineType nil) (setq sLineType "ByLayer"))                ;Tidy up the optional DXF

codes for linetype
           

;If the object is a vertex, call a vertex a polyline
            (if (= "VERTEX" sObjectType) (setq sObjectType "POLYLINE"))       

;If the object is a block, call an insert a block and find out the block name
        (if (= "INSERT" sObjectType)
                (progn
                        (setq         sObjectType "BLOCK"
                                 sBlockname (cdr (assoc 2 el))
                        )       
                );end progn
        );end if

;If the object is text or mtext, find out the style name
        (if (or (= "TEXT" sObjectType) (= "MTEXT" sObjectType))
                (setq sStyleName (cdr (assoc 7 el)))       
        );end if

; Sort out the colors and assign names to the first 8 plus bylayer and byblock
            (cond ( (= nil sColor) (setq sColor "ByLayer"))
                ( (= 0 sColor) (setq sColor "ByBlock"))
                  ( (= 1 sColor) (setq sColor "Red"))
                  ( (= 2 sColor) (setq sColor "Yellow"))
                ( (= 3 sColor) (setq sColor "Green"))
                  ( (= 4 sColor) (setq sColor "Cyan"))
                  ( (= 5 sColor) (setq sColor "Blue"))
                 ( (= 6 sColor) (setq sColor "Magenta"))
                  ( (= 7 sColor) (setq sColor "White"))
                  ( (= 256 sColor) (setq sColor "ByLayer"))
                  (t (setq sColor (itoa sColor)))
            );end cond
);progn
);if
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
             (setq TextENAME
                    (entmakex
                      (list
                        (cons 0 "MTEXT")
                        (cons 100 "AcDbEntity")
                        (cons 100 "AcDbMText")
                        (cons 1
                        (cond ((and (/= sLineType "ByLayer")(/= sColor "ByLayer"))
                              (strcat "OBJECT: "
                           sObjectType
                           ;"\nENAME: "
                          ; (vl-princ-to-string ename)
                           "\nLAYER: "
                           (cdr (assoc 8 (entget ename)))
                           "\nLINETYPE: "
                           sLineType
                           "\nCOLOR: "
                           sColor
                                );strcat
                                );condition
                        ((and (= sLineType "ByLayer")(= sColor "ByLayer"))
                              (strcat "OBJECT: "
                           sObjectType
                           ;"\nENAME: "
                          ; (vl-princ-to-string ename)
                           "\nLAYER: "
                           (cdr (assoc 8 (entget ename)))
                           "\nLINETYPE: "
                           sLineType " (" (cdr (assoc 6 layer)) ")"
                           "\nCOLOR: "
                           sColor " (" (itoa (cdr (assoc 62 layer))) ")"
                                );strcat
                                );condition
                                ((and (= sLineType "ByLayer")(/= sColor "ByLayer"))
                                (strcat "OBJECT: "
                           sObjectType
                           ;"\nENAME: "
                          ; (vl-princ-to-string ename)
                           "\nLAYER: "
                           (cdr (assoc 8 (entget ename)))
                           "\nLINETYPE: "
                           sLineType " (" (cdr (assoc 6 layer)) ")"
                           "\nCOLOR: "
                           sColor
                                );strcat
                                );condition
                                ((and (/= sLineType "ByLayer")(= sColor "ByLayer"))
                                (strcat "OBJECT: "
                           sObjectType
                           ;"\nENAME: "
                          ; (vl-princ-to-string ename)
                           "\nLAYER: "
                           (cdr (assoc 8 (entget ename)))
                           "\nLINETYPE: "
                           sLineType
                           "\nCOLOR: "
                            sColor " (" (itoa (cdr (assoc 62 layer))) ")"
                                );strcat
                                );condition
                        );cond
                        )
                        (cons 7 "ARIAL")
                        (cons 10
                              (polar (cadr Input) 0 (/ ViewSize 50.0))
                        )
                        (cons 40 (/ ViewSize 50.0));
                        (cons 50 (- 0 (getvar "VIEWTWIST")));added viewtwist for readability

                        (cond ((and (= sLineType "ByLayer")(= sColor "ByLayer"))
                                (cons 62 250)
                                );condition
                                ((or (/= sLineType "ByLayer")(/= sColor "ByLayer"))
                                (cons 62 1)
                                );condition
                        );cond
                        (cons 71 1)
                        (cons 72 5)
                        (cons 90 1)
                        (cons 63 255)
                        (cons 45 1.2)
                      );list
                    );entmakex
             );setq
      );progn
    );if
  );while
  (and TextENAME (entdel TextENAME))
  (princ)
ename;for object selection
);defun
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;end

test2;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;
(defun GETLINETYPE (/ CL SL)                     
  (setq CL (getvar "CELTYPE"))
  (initdia)
  (command "_.LINETYPE")
  (while (= (logand (getvar "CMDACTIVE") 8) 1)  (command pause)  )
  (if (/= (getvar "celtype") CL)
   (setq SL (getvar "celtype"))
   (setq SL CL)
  )
  (setvar "celtype" CL)
  SL
)

(defun GETLINEWEIGHT (/ LW SLW)                     
  (setq LW (getvar "CELWEIGHT"))
  (initdia)
  (vl-cmdf "_.LWEIGHT")
  (while (= (logand (getvar "CMDACTIVE") 8) 1)  (command pause)  )
  (if (/= (getvar "celweight") LW)
   (setq SLW (getvar "celweight"))
   (setq SLW LW)
  )
  (setvar "celweight" LW)
  SLw
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;END LIBRARY

FUNCTIONS;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;

 

 

 

 

强制在 grread 期间显示 Arial 字体

该用户从未签到

主题

0

回帖

0

积分

管理员

积分
0
发表于 2024-7-28 09:28:43 | 显示全部楼层
  法拉利膜材作为一种高性能的建筑材料,在建筑、汽车及广告等多个领域有着广泛的应用。以下是对法拉利膜材型号、特点及优点的详细分析:
[img]http://www.mjgou.com/data/attachment/forum/202403/13/223041uiqmeujen4jjj6zv.jpg[/img]
[b]一、法拉利膜材型号[/b]
法拉利膜材有多种型号,包括但不限于以下几种:1302 S2 Flexlight Advanced:这是一种高性能IV型柔性复合膜材,以其卓越的透光性、耐久性和易维护性而受到青睐。942、1202 S2、1002 S2、902 S2、1212 S2、912 S2:这些型号同样属于法拉利膜材系列,各自具有不同的特性和适用范围,但具体特点需根据具体型号进一步分析。需要注意的是,法拉利膜材的型号可能随着产品更新换代而有所变化,具体型号及其特性请参考最新产品资料。
[img=860,1255]http://www.mjgou.com/data/attachment/forum/202403/13/223254bbblwlbvbvsbwlsl.jpg[/img]
[b]二、法拉利膜材特点[/b]
法拉利膜材的特点主要体现在以下几个方面:
1、高强度与耐用性:法拉利膜材采用高强度材料制成,具有良好的抗拉强度和撕裂强度,能够承受较大的外力作用而不易破损。耐用性强,能够在恶劣气候条件下保持稳定的性能,延长使用寿命。
2、透光性与美观性:部分型号如1302 S2 Flexlight Advanced具有高透光性,能够在保持室内光线充足的同时,提供清晰的视野。膜材表面平整光滑,色彩丰富多样,能够满足不同建筑和装饰需求,提升整体美观性。
3、轻质与灵活性:法拉利膜材重量较轻,便于运输和安装,能够降低施工成本和时间。膜材具有一定的柔韧性,能够适应各种复杂形状和结构的设计要求。
4、环保与可回收性:法拉利膜材符合环保要求,部分材料可回收利用,减少了对环境的影响。
[img]http://www.mjgou.com/data/attachment/forum/202403/13/223128owhn0099rrds5h5y.jpg[/img]
[b]三、法拉利膜材优点[/b]
法拉利膜材的优点主要体现在以下几个方面:
1、提升建筑性能:高强度与耐用性使得法拉利膜材能够提升建筑的稳定性和安全性,延长使用寿命。透光性与美观性使得建筑内部光线充足、视野开阔,同时提升整体美观度。
2、降低施工成本:轻质特性使得运输和安装成本降低,施工效率提高。膜材的柔韧性使得施工更加灵活多变,能够适应各种复杂地形和结构要求。
3、节能环保:部分材料可回收利用,符合环保要求,减少了对环境的影响。良好的透光性能够减少室内照明需求,降低能耗。
4、广泛应用领域:
法拉利膜材不仅适用于建筑领域(如体育设施、商业设施、文化设施、交通设施等),还广泛应用于汽车及广告领域(如高档车辆贴膜保护和装饰、广告招贴等),展现出其多功能的特性。

综上所述,法拉利膜材以其高强度、耐用性、透光性、美观性、轻质灵活性以及环保可回收性等优点,在建筑、汽车及广告等多个领域发挥着重要作用。具体型号的选择应根据实际需求和应用场景进行综合考虑。
[url=http://www.mjgou.com/forum-17-1.html][size=92807][color=Red]法拉利膜材中国代理商 - 膜结构网[/color][/size][/url]
强制在 grread 期间显示 Arial 字体
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-10-27 08:27 , Processed in 0.154327 second(s), 27 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表